//Ethan Alexander Shulman 2024

var musicAudio = new Audio(), lastSong = 0, songDelay = 0,
btnsMuted = false,
btnClickAudio = new Audio("Audio/BtnClick.mp3"),
btnOffAudio = new Audio("Audio/BtnOff.mp3");

const SOUNDTRACK = ["AlienChorus", "AmbientBitChoir", "AmbientClimb", "AmbientStride",
"ElectroAttack", "ElectroTrance", "Evil", "Good", "PixelSpace", "Power"];

lastSong = Math.floor(Math.random()*SOUNDTRACK.length);


function DelayNextSong() {
	songDelay = Math.pow(Math.random(),2)*300;
}
musicAudio.addEventListener("ended", DelayNextSong);


function UpdateGameMusic() {
	if (songDelay > 0 && !inTutorial && appStatus === APPSTATUS_GAME) {
		songDelay -= deltaTime;
		if (songDelay <= 0) {
			//play random next song
			lastSong = (lastSong+1+Math.floor(Math.random()*(SOUNDTRACK.length-1)))%SOUNDTRACK.length;
			musicAudio.src = "Audio/"+SOUNDTRACK[lastSong]+".mp3";
			musicAudio.play();
		}
	}
}


function UpdateVolume() {
	var vol = parseFloat(musicVolume.value);
	vol = (Math.pow(2, vol*2.5)-1) / (Math.pow(2, 2.5)-1);
	musicAudio.volume = btnClickAudio.volume = btnOffAudio.volume = vol;
}


function PlayBtnSfx() {
	if (btnsMuted) return;
	btnClickAudio.currentTime = 0;
	btnClickAudio.play();
}

function PlayBtnOffSfx() {
	if (btnsMuted) return;
	btnOffAudio.currentTime = 0;
	btnOffAudio.play();
}
